Bug 502674 - fence_lpar can't log in to IVM systems
fence_lpar can't log in to IVM systems
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.4
All Linux
high Severity medium
: beta
: ---
Assigned To: Marek Grac
Cluster QE
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-26 17:10 EDT by Nate Straz
Modified: 2016-04-26 10:54 EDT (History)
5 users (show)

See Also:
Fixed In Version: cman-2.0.104-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:07:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nate Straz 2009-05-26 17:10:47 EDT
Description of problem:

The fence agent fence_lpar does not work with systems configured with Integrated Virtualization Manager (IVM) instead of a Host Management Console (HMC).  IVM works the same as an HMC, except it is another partition on the same host.

When attempting to apply fence_lpar to IVM I get the following error:

Unable to connect/login to fencing device

The problem is that the login prompt on an IVM system is a very terse "$ " which fence_lpar does not expect.  The following patch allows IVM to work.

diff --git a/fence/agents/lpar/fence_lpar.py b/fence/agents/lpar/fence_lpar.py
index 450b507..2b669e3 100755
--- a/fence/agents/lpar/fence_lpar.py
+++ b/fence/agents/lpar/fence_lpar.py
@@ -96,7 +96,7 @@ def main():
        ## Fence agent specific defaults
        #####
        if 0 == options.has_key("-c"):
-               options["-c"] = [ ":~>", "]\$" ]
+               options["-c"] = [ ":~>", "]\$", "\$ " ]
 
        if 0 == options.has_key("-H"):
                options["-H"] = "4"



Version-Release number of selected component (if applicable):
cman-2.0.103-1.el5

How reproducible:
Every time

Steps to Reproduce:
1. try to fence a pSeries LPAR which is managed by IVM
2.
3.
  
Actual results:
Unable to connect/login to fencing device

Expected results:
The fence agent should be able to log in and perform the fence action.

Additional info:
Needed to complete testing of 5.4.
Comment 1 Nate Straz 2009-05-27 10:32:24 EDT
Adding TestBlocker keyword as this will block testing of Cluster and ClusterStorage components on pSeries hardware.  We need to test on pSeries hardware because it will be a new supported platform in RHEL 5.4 for Cluster anc ClusterStorage components.
Comment 3 Nate Straz 2009-06-18 14:47:58 EDT
Verified with cman-2.0.108-1.el5.
Comment 5 errata-xmlrpc 2009-09-02 07:07:38 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1341.html

Note You need to log in before you can comment on or make changes to this bug.